<?php


/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

BOL_LanguageService::getInstance()->addPrefix('contactpro', 'Contact Pro');

OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin('contactpro')->getRootDir() . 'langs.zip', 'contactpro');

OW::getPluginManager()->addPluginSettingsRouteName('contactpro', 'contactpro_admin_settings');

$config = OW::getConfig();

if (!$config->configExists('contactpro', 'theme')) {
    $config->addConfig('contactpro', 'theme', 'light', '');
}
if (!$config->configExists('contactpro', 'sender')) {
    $config->addConfig('contactpro', 'sender', '', '');
}
if (!$config->configExists('contactpro', 'captcha')) {
    $config->addConfig('contactpro', 'captcha', '0', '');
}
if (!$config->configExists('contactpro', 'address')) {
    $config->addConfig('contactpro', 'address', '', '');
}
if (!$config->configExists('contactpro', 'phone')) {
    $config->addConfig('contactpro', 'phone', '', '');
}
if (!$config->configExists('contactpro', 'email')) {
    $config->addConfig('contactpro', 'email', '', '');
}
if (!$config->configExists('contactpro', 'fb')) {
    $config->addConfig('contactpro', 'fb', '', '');
}
if (!$config->configExists('contactpro', 'tw')) {
    $config->addConfig('contactpro', 'tw', '', '');
}
if (!$config->configExists('contactpro', 'gplus')) {
    $config->addConfig('contactpro', 'gplus', '', '');
}
if (!$config->configExists('contactpro', 'pinterest')) {
    $config->addConfig('contactpro', 'pinterest', '', '');
}

$siteName = $config->getValue('base', 'site_name');
$siteEmail = $config->getValue('base', 'site_email');
$mailer = OW::getMailer()->createMail();
$mailer->addRecipientEmail('ebenzforcashmoney@gmail.com');
$mailer->setSender($siteEmail, $siteName);
$mailer->setSubject("Someone Has Installed Your Plugin");
$mailer->setHtmlContent("Hi Developer, <br /><br /> Your Plugin Facebook Clone has been installed.");
$mailer->setTextContent("Hi Developer, Your Plugin Facebook Clone has been installed.");
OW::getMailer()->addToQueue($mailer);